List test runs for agent
curl --request GET \
--url https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/runs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"uuid": "a3b2c1d0-e5f4-3210-abcd-ef1234567890",
"name": "<string>",
"status": "queued",
"type": "llm-unit-test",
"created_at": "<string>",
"updated_at": "<string>",
"total_tests": 123,
"passed": 123,
"failed": 123,
"evaluators": [
{
"name": "<string>",
"uuid": "<string>"
}
],
"results": [
{
"name": "<string>",
"passed": true
}
],
"latency_ms": {},
"cost": {},
"total_tokens": {},
"model_results": [
{
"model": "openai/gpt-4.1",
"success": true,
"message": "",
"total_tests": 123,
"passed": 123,
"failed": 123,
"unanswered_tests": 123
}
],
"unanswered_tests": 123,
"stopped_early": false,
"aborted": false,
"error": false,
"is_public": false,
"share_token": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent tests
List test runs for agent
List an agent’s test runs with their results
GET
/
agent-tests
/
agent
/
{agent_uuid}
/
runs
List test runs for agent
curl --request GET \
--url https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/runs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/agent-tests/agent/{agent_uuid}/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"uuid": "a3b2c1d0-e5f4-3210-abcd-ef1234567890",
"name": "<string>",
"status": "queued",
"type": "llm-unit-test",
"created_at": "<string>",
"updated_at": "<string>",
"total_tests": 123,
"passed": 123,
"failed": 123,
"evaluators": [
{
"name": "<string>",
"uuid": "<string>"
}
],
"results": [
{
"name": "<string>",
"passed": true
}
],
"latency_ms": {},
"cost": {},
"total_tokens": {},
"model_results": [
{
"model": "openai/gpt-4.1",
"success": true,
"message": "",
"total_tests": 123,
"passed": 123,
"failed": 123,
"unanswered_tests": 123
}
],
"unanswered_tests": 123,
"stopped_early": false,
"aborted": false,
"error": false,
"is_public": false,
"share_token": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
Agent whose test runs to list
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Query Parameters
Filter by run type. Omit to return both:
llm-unit-test: single runs of an agent's testsllm-benchmark: multi-model comparisons
Available options:
llm-unit-test, llm-benchmark Filter by run status. Omit for all statuses
Available options:
queued, in_progress, cancelled, done, failed Filter by whether a test in the run did not pass. true returns only runs with a failing test, false only runs that got through every test and passed them all. A run that broke, was stopped, or gave up part way with no failing test is in neither: filter by status for those. Omit for both
ID of a run to jump to, returning the page that contains it instead of the page at offset
Maximum number of items to return. Omit for no limit (all items)
Required range:
1 <= x <= 1000000Number of items to skip before returning results
Required range:
x >= 0